--- title: "getExecutionResult" slug: "analytics-dataflow-getexecutionresult" updated: 2026-09-17T09:53:39Z published: 2026-09-17T09:53:39Z canonical: "api.ncloud-docs.com/analytics-dataflow-getexecutionresult" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getExecutionResult Available in VPC Get the number of job executions and the number of successes and failures. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/stats/executions | ### Request headers For information about the headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `startDate` | String | Required | Query start date and time - ISO 8601 format | | `endDate` | String | Required | Query end date and time - ISO 8601 format | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dataflow.apigw.ntruss.com/api/v1/stats/executions?startDate=2025-03-19T00%3A00%3A00&endDate=2025-03-20T23%3A59%3A59' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Total number of executions | | `completedCount` | Integer | - | Number of successes | | `failedCount` | Integer | - | Number of failures | ### Response status codes For response status codes common to all Data Flow APIs, see [Data Flow response status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 4, "completedCount": 3, "failedCount": 1 } ```